classification
Title: Write unit tests for pdb module
Type: Stage:
Components: Tests Versions: Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: Artem Muterko, BTaskaya, inada.naoki, serhiy.storchaka, xdegaye
Priority: normal Keywords:

Created on 2017-02-19 09:49 by Artem Muterko, last changed 2019-11-30 16:37 by BTaskaya.

Pull Requests
URL Status Linked Edit
PR 218 closed python-dev, 2017-02-21 15:02
Messages (6)
msg288123 - (view) Author: Artem Muterko (Artem Muterko) * Date: 2017-02-19 09:53
I want to write unit tests for pdb module of stdlib. Should I create one pull request for entire module or should I split work into several pull requests?
msg288126 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-02-19 10:56
Please use one single PR only when the tests are focused on a single topic and can be collected in their own class. When the tests are focused on breakpoints for example.
msg288349 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-02-22 10:11
It would be better to move all tests for internal functions in separate TestCase class. It should be clear that this is testing of implementation details and we are free to change tests when change the implementation.

There are some tests for find_function(). They should be moved too. Note that there is a bug in find_function() (it opens a file with default encoding).

Tests for internal functions don't free us from testing the same functionality as a part of high level functions.
msg288459 - (view) Author: Xavier de Gaye (xdegaye) * (Python triager) Date: 2017-02-23 16:38
> Note that there is a bug in find_function() (it opens a file with default encoding).

Please open an issue.
msg288593 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-02-26 11:23
And decorate this test class with test.support.cpython_only.
msg357659 - (view) Author: Batuhan (BTaskaya) * Date: 2019-11-30 16:37
PR 218 is closed and this issue looks like just created for that PR. If that PR is closed and there are nothing to do with this issue, maybe this can also be closed?
History
Date User Action Args
2019-11-30 16:37:13BTaskayasetnosy: + BTaskaya
messages: + msg357659
2017-02-26 11:23:54serhiy.storchakasetmessages: + msg288593
2017-02-23 16:38:51xdegayesetmessages: + msg288459
2017-02-22 10:12:36serhiy.storchakasetnosy: + inada.naoki
2017-02-22 10:11:38serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg288349
2017-02-21 15:02:43python-devsetpull_requests: + pull_request182
2017-02-19 10:56:38xdegayesetnosy: + xdegaye
messages: + msg288126
2017-02-19 09:53:26Artem Muterkosetmessages: + msg288123
2017-02-19 09:49:40Artem Muterkocreate